import pytest
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.user_request import user_request


class TestFollowDel:
    data = BaseRequest().api_load(path_setting.FOLLOW_DEL)
    follow_del_case, follow_del_data = get_ids(data,"follow_del")

    @pytest.mark.parametrize("param", follow_del_data, ids=follow_del_case)
    def test_follow_del(self,param):
        r = user_request().follow_del(param["uid"], param["from_live"])
        if r["error"] == 0:
            assert r["error"] == param["assert"]